Debian Bug report logs - #336587
phpbb2: phpbb 2.0.18 released with lots of security fixes

version graph

Package: phpbb2; Maintainer for phpbb2 is (unknown);

Reported by: Carsten Wolff <carsten@wolffcarsten.de>

Date: Mon, 31 Oct 2005 16:33:17 UTC

Severity: grave

Tags: security

Merged with 336582

Found in versions phpbb2/2.0.13-6sarge1, phpbb2/2.0.13+1-6

Fixed in versions phpbb2/2.0.18-1, phpbb2/2.0.13+1-6sarge2

Done: Thijs Kinkhorst <kink@squirrelmail.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug#336587; Package phpbb2. Full text and rfc822 format available.

Acknowledgement sent to Carsten Wolff <carsten@wolffcarsten.de>:
New Bug report received and forwarded. Copy sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Carsten Wolff <carsten@wolffcarsten.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: phpbb2: phpbb 2.0.18 released with lots of security fixes
Date: Mon, 31 Oct 2005 12:25:49 +0100
Package: phpbb2
Version: 2.0.13-6sarge1
Severity: grave
Tags: security
Justification: user security hole

The phpbb project has relased version 2.0.18 of it's software, including
lots of security fixes.

See http://www.phpbb.com/phpBB/viewtopic.php?f=14&t=336756 for details.

The security related changes should be backported to sarge.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.11.7
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages phpbb2 depends on:
ii  apache [httpd]            1.3.33-6sarge1 versatile, high-performance HTTP s
ii  apache-ssl [httpd]        1.3.33-6sarge1 versatile, high-performance HTTP s
ii  debconf                   1.4.30.13      Debian configuration management sy
ii  libapache-mod-php4        4:4.3.10-16    server-side, HTML-embedded scripti
ii  php4                      4:4.3.10-16    server-side, HTML-embedded scripti
ii  php4-cgi                  4:4.3.10-16    server-side, HTML-embedded scripti
ii  php4-pgsql                3:4.3.10-4     PostgreSQL module for php4

-- debconf information:
* phpbb2/httpd: apache



Merged 336582 336587. Request was from Florian Weimer <fw@deneb.enyo.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Thijs Kinkhorst <kink@squirrelmail.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carsten Wolff <carsten@wolffcarsten.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 336582-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 336582-close@bugs.debian.org
Subject: Bug#336582: fixed in phpbb2 2.0.18-1
Date: Tue, 29 Nov 2005 19:02:07 -0800
Source: phpbb2
Source-Version: 2.0.18-1

We believe that the bug you reported is fixed in the latest version of
phpbb2, which is due to be installed in the Debian FTP archive:

phpbb2-conf-mysql_2.0.18-1_all.deb
  to pool/main/p/phpbb2/phpbb2-conf-mysql_2.0.18-1_all.deb
phpbb2-languages_2.0.18-1_all.deb
  to pool/main/p/phpbb2/phpbb2-languages_2.0.18-1_all.deb
phpbb2_2.0.18-1.diff.gz
  to pool/main/p/phpbb2/phpbb2_2.0.18-1.diff.gz
phpbb2_2.0.18-1.dsc
  to pool/main/p/phpbb2/phpbb2_2.0.18-1.dsc
phpbb2_2.0.18-1_all.deb
  to pool/main/p/phpbb2/phpbb2_2.0.18-1_all.deb
phpbb2_2.0.18.orig.tar.gz
  to pool/main/p/phpbb2/phpbb2_2.0.18.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336582@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <kink@squirrelmail.org> (supplier of updated phpbb2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 29 Nov 2005 22:06:33 +0100
Source: phpbb2
Binary: phpbb2-languages phpbb2-conf-mysql phpbb2
Architecture: source all
Version: 2.0.18-1
Distribution: unstable
Urgency: high
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Changed-By: Thijs Kinkhorst <kink@squirrelmail.org>
Description: 
 phpbb2     - A fully featured and skinnable flat (non-threaded) webforum
 phpbb2-conf-mysql - Automatic configurator for phpbb2 on MySQL database
 phpbb2-languages - phpBB2 additional languages
Closes: 334195 335662 336582 336587 339700
Changes: 
 phpbb2 (2.0.18-1) unstable; urgency=high
 .
   * New upstream release, fixes several security issues.
     (Closes: #336582, #336587, #335662)
   * Swedish debconf translations by Daniel Nylander (Closes: #334195).
   * Upgrade debhelper compatibility to the recommended level 5.
 .
   [phpbb2-conf-mysql]
   * Move database schemas to /usr/share/phpbb2/schemas, because
     phpbb2-conf-mysql depends on them being present (Closes: #339700).
   * [JvW] Updated to add new table that was added in 2.0.18, hopefully it
     works, but no longer going to delay this upload for testing this change
Files: 
 771be3281fb4c2455dec2efe458adfff 760 web optional phpbb2_2.0.18-1.dsc
 e6873d04dcd5f8b97962ea5703ccfcd0 3199643 web optional phpbb2_2.0.18.orig.tar.gz
 034cfc7cdf28ed74c75c8301eb86e6d1 65843 web optional phpbb2_2.0.18-1.diff.gz
 ffd2655341ea6250a0131756600f6206 533422 web optional phpbb2_2.0.18-1_all.deb
 9bf02497c614cf452f89f2b0111a9815 46212 web extra phpbb2-conf-mysql_2.0.18-1_all.deb
 732e98c1c8102c8510e3361d85691a93 2724392 web optional phpbb2-languages_2.0.18-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

iD8DBQFDjRUKl2uISwgTVp8RAiuKAJ43F/nG6GX1O6iympISvKxFPMjW3wCgq1H2
56h83ep8nkMaYerAHP96a5o=
=Jy7N
-----END PGP SIGNATURE-----




Reply sent to Thijs Kinkhorst <kink@squirrelmail.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carsten Wolff <carsten@wolffcarsten.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 336587-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 336587-close@bugs.debian.org
Subject: Bug#336587: fixed in phpbb2 2.0.18-1
Date: Tue, 29 Nov 2005 19:02:07 -0800
Source: phpbb2
Source-Version: 2.0.18-1

We believe that the bug you reported is fixed in the latest version of
phpbb2, which is due to be installed in the Debian FTP archive:

phpbb2-conf-mysql_2.0.18-1_all.deb
  to pool/main/p/phpbb2/phpbb2-conf-mysql_2.0.18-1_all.deb
phpbb2-languages_2.0.18-1_all.deb
  to pool/main/p/phpbb2/phpbb2-languages_2.0.18-1_all.deb
phpbb2_2.0.18-1.diff.gz
  to pool/main/p/phpbb2/phpbb2_2.0.18-1.diff.gz
phpbb2_2.0.18-1.dsc
  to pool/main/p/phpbb2/phpbb2_2.0.18-1.dsc
phpbb2_2.0.18-1_all.deb
  to pool/main/p/phpbb2/phpbb2_2.0.18-1_all.deb
phpbb2_2.0.18.orig.tar.gz
  to pool/main/p/phpbb2/phpbb2_2.0.18.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336587@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <kink@squirrelmail.org> (supplier of updated phpbb2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 29 Nov 2005 22:06:33 +0100
Source: phpbb2
Binary: phpbb2-languages phpbb2-conf-mysql phpbb2
Architecture: source all
Version: 2.0.18-1
Distribution: unstable
Urgency: high
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Changed-By: Thijs Kinkhorst <kink@squirrelmail.org>
Description: 
 phpbb2     - A fully featured and skinnable flat (non-threaded) webforum
 phpbb2-conf-mysql - Automatic configurator for phpbb2 on MySQL database
 phpbb2-languages - phpBB2 additional languages
Closes: 334195 335662 336582 336587 339700
Changes: 
 phpbb2 (2.0.18-1) unstable; urgency=high
 .
   * New upstream release, fixes several security issues.
     (Closes: #336582, #336587, #335662)
   * Swedish debconf translations by Daniel Nylander (Closes: #334195).
   * Upgrade debhelper compatibility to the recommended level 5.
 .
   [phpbb2-conf-mysql]
   * Move database schemas to /usr/share/phpbb2/schemas, because
     phpbb2-conf-mysql depends on them being present (Closes: #339700).
   * [JvW] Updated to add new table that was added in 2.0.18, hopefully it
     works, but no longer going to delay this upload for testing this change
Files: 
 771be3281fb4c2455dec2efe458adfff 760 web optional phpbb2_2.0.18-1.dsc
 e6873d04dcd5f8b97962ea5703ccfcd0 3199643 web optional phpbb2_2.0.18.orig.tar.gz
 034cfc7cdf28ed74c75c8301eb86e6d1 65843 web optional phpbb2_2.0.18-1.diff.gz
 ffd2655341ea6250a0131756600f6206 533422 web optional phpbb2_2.0.18-1_all.deb
 9bf02497c614cf452f89f2b0111a9815 46212 web extra phpbb2-conf-mysql_2.0.18-1_all.deb
 732e98c1c8102c8510e3361d85691a93 2724392 web optional phpbb2-languages_2.0.18-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

iD8DBQFDjRUKl2uISwgTVp8RAiuKAJ43F/nG6GX1O6iympISvKxFPMjW3wCgq1H2
56h83ep8nkMaYerAHP96a5o=
=Jy7N
-----END PGP SIGNATURE-----




Bug marked as found in version 2.0.13+1-6. Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Thijs Kinkhorst <kink@squirrelmail.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Thijs Kinkhorst <kink@squirrelmail.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carsten Wolff <carsten@wolffcarsten.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 336582-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 336582-close@bugs.debian.org
Subject: Bug#336582: fixed in phpbb2 2.0.13+1-6sarge2
Date: Thu, 22 Dec 2005 00:32:07 -0800
Source: phpbb2
Source-Version: 2.0.13+1-6sarge2

We believe that the bug you reported is fixed in the latest version of
phpbb2, which is due to be installed in the Debian FTP archive:

phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
phpbb2-languages_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2-languages_2.0.13-6sarge2_all.deb
phpbb2_2.0.13+1-6sarge2.diff.gz
  to pool/main/p/phpbb2/phpbb2_2.0.13+1-6sarge2.diff.gz
phpbb2_2.0.13+1-6sarge2.dsc
  to pool/main/p/phpbb2/phpbb2_2.0.13+1-6sarge2.dsc
phpbb2_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2_2.0.13-6sarge2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336582@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <kink@squirrelmail.org> (supplier of updated phpbb2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 30 Nov 2005 11:52:53 +0100
Source: phpbb2
Binary: phpbb2-languages phpbb2-conf-mysql phpbb2
Architecture: source all
Version: 2.0.13+1-6sarge2
Distribution: stable-security
Urgency: high
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Changed-By: Thijs Kinkhorst <kink@squirrelmail.org>
Description: 
 phpbb2     - A fully featured and skinneable flat (non-threaded) webforum
 phpbb2-conf-mysql - Automatic configurator for phpbb2 on MySQL database
 phpbb2-languages - phpBB2 additional languages
Closes: 335662 336582 336587
Changes: 
 phpbb2 (2.0.13+1-6sarge2) stable-security; urgency=high
 .
   * Security update by phpBB maintainers
   * Backport fixes for the following issues announced by upstream and
     independent researchers (Closes: #336582, #336587, #335662):
     - fixed validation of topic type when posting.
     - fixed potential to select images outside the specified path as avatars
       or smilies.
     - fixed ability to edit PM's you did not send.
     - CVE-2005-3419, CVE-2005-3420: fixed inadquate signature field input
       sanitising, which allowed for arbitrary code execution
     - CVE-2005-3310: compare imagetype on avatar uploading to match the file
       extension from uploaded file.
 .
     Additionally, the following three issues are fixed, though they are only a
     threat when running with the heavily discouraged register_globals = off
     setting:
     - CVE-2005-3415: bypass protection mechanisms that deregister global
       variables by setting both a GPC variable and a GLOBALS[] variable.
     - CVE-2005-3416: bypass security checks by setting the $_SESSION and
       $HTTP_SESSION_VARS variables to strings instead of arrays.
     - CVE-2005-3418: Multiple cross-site scripting (XSS) vulnerabilities.
Files: 
 84a0dab5af965cf6ff418c2b2383a9ee 783 web optional phpbb2_2.0.13+1-6sarge2.dsc
 e644237009e5eff92b86f21a5f6f4cbe 64580 web optional phpbb2_2.0.13+1-6sarge2.diff.gz
 f88101af29bf00db9a8fdb264e35d891 525514 web optional phpbb2_2.0.13-6sarge2_all.deb
 4cbfd2fe1e336214a3defddeff55ce65 37474 web extra phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
 f71e21b77d9f5bffa076a25d6687b4c2 2873096 web optional phpbb2-languages_2.0.13-6sarge2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

iD8DBQFDpgbUl2uISwgTVp8RAgcyAJ93wvWZCBowQ74CtZRAIOXZ1ZQw3QCgrYEu
iBIbdbFUbbhEctbUEWdfu0I=
=R/22
-----END PGP SIGNATURE-----




Reply sent to Thijs Kinkhorst <kink@squirrelmail.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carsten Wolff <carsten@wolffcarsten.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 336587-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 336587-close@bugs.debian.org
Subject: Bug#336587: fixed in phpbb2 2.0.13+1-6sarge2
Date: Thu, 22 Dec 2005 00:32:07 -0800
Source: phpbb2
Source-Version: 2.0.13+1-6sarge2

We believe that the bug you reported is fixed in the latest version of
phpbb2, which is due to be installed in the Debian FTP archive:

phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
phpbb2-languages_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2-languages_2.0.13-6sarge2_all.deb
phpbb2_2.0.13+1-6sarge2.diff.gz
  to pool/main/p/phpbb2/phpbb2_2.0.13+1-6sarge2.diff.gz
phpbb2_2.0.13+1-6sarge2.dsc
  to pool/main/p/phpbb2/phpbb2_2.0.13+1-6sarge2.dsc
phpbb2_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2_2.0.13-6sarge2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336587@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <kink@squirrelmail.org> (supplier of updated phpbb2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 30 Nov 2005 11:52:53 +0100
Source: phpbb2
Binary: phpbb2-languages phpbb2-conf-mysql phpbb2
Architecture: source all
Version: 2.0.13+1-6sarge2
Distribution: stable-security
Urgency: high
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Changed-By: Thijs Kinkhorst <kink@squirrelmail.org>
Description: 
 phpbb2     - A fully featured and skinneable flat (non-threaded) webforum
 phpbb2-conf-mysql - Automatic configurator for phpbb2 on MySQL database
 phpbb2-languages - phpBB2 additional languages
Closes: 335662 336582 336587
Changes: 
 phpbb2 (2.0.13+1-6sarge2) stable-security; urgency=high
 .
   * Security update by phpBB maintainers
   * Backport fixes for the following issues announced by upstream and
     independent researchers (Closes: #336582, #336587, #335662):
     - fixed validation of topic type when posting.
     - fixed potential to select images outside the specified path as avatars
       or smilies.
     - fixed ability to edit PM's you did not send.
     - CVE-2005-3419, CVE-2005-3420: fixed inadquate signature field input
       sanitising, which allowed for arbitrary code execution
     - CVE-2005-3310: compare imagetype on avatar uploading to match the file
       extension from uploaded file.
 .
     Additionally, the following three issues are fixed, though they are only a
     threat when running with the heavily discouraged register_globals = off
     setting:
     - CVE-2005-3415: bypass protection mechanisms that deregister global
       variables by setting both a GPC variable and a GLOBALS[] variable.
     - CVE-2005-3416: bypass security checks by setting the $_SESSION and
       $HTTP_SESSION_VARS variables to strings instead of arrays.
     - CVE-2005-3418: Multiple cross-site scripting (XSS) vulnerabilities.
Files: 
 84a0dab5af965cf6ff418c2b2383a9ee 783 web optional phpbb2_2.0.13+1-6sarge2.dsc
 e644237009e5eff92b86f21a5f6f4cbe 64580 web optional phpbb2_2.0.13+1-6sarge2.diff.gz
 f88101af29bf00db9a8fdb264e35d891 525514 web optional phpbb2_2.0.13-6sarge2_all.deb
 4cbfd2fe1e336214a3defddeff55ce65 37474 web extra phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
 f71e21b77d9f5bffa076a25d6687b4c2 2873096 web optional phpbb2-languages_2.0.13-6sarge2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

iD8DBQFDpgbUl2uISwgTVp8RAgcyAJ93wvWZCBowQ74CtZRAIOXZ1ZQw3QCgrYEu
iBIbdbFUbbhEctbUEWdfu0I=
=R/22
-----END PGP SIGNATURE-----




Reply sent to Thijs Kinkhorst <kink@squirrelmail.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carsten Wolff <carsten@wolffcarsten.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #38 received at 336582-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 336582-close@bugs.debian.org
Subject: Bug#336582: fixed in phpbb2 2.0.13+1-6sarge2
Date: Mon, 17 Apr 2006 17:41:30 -0700
Source: phpbb2
Source-Version: 2.0.13+1-6sarge2

We believe that the bug you reported is fixed in the latest version of
phpbb2, which is due to be installed in the Debian FTP archive:

phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
phpbb2-languages_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2-languages_2.0.13-6sarge2_all.deb
phpbb2_2.0.13+1-6sarge2.diff.gz
  to pool/main/p/phpbb2/phpbb2_2.0.13+1-6sarge2.diff.gz
phpbb2_2.0.13+1-6sarge2.dsc
  to pool/main/p/phpbb2/phpbb2_2.0.13+1-6sarge2.dsc
phpbb2_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2_2.0.13-6sarge2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336582@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <kink@squirrelmail.org> (supplier of updated phpbb2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 30 Nov 2005 11:52:53 +0100
Source: phpbb2
Binary: phpbb2-languages phpbb2-conf-mysql phpbb2
Architecture: source all
Version: 2.0.13+1-6sarge2
Distribution: stable-security
Urgency: high
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Changed-By: Thijs Kinkhorst <kink@squirrelmail.org>
Description: 
 phpbb2     - A fully featured and skinneable flat (non-threaded) webforum
 phpbb2-conf-mysql - Automatic configurator for phpbb2 on MySQL database
 phpbb2-languages - phpBB2 additional languages
Closes: 335662 336582 336587
Changes: 
 phpbb2 (2.0.13+1-6sarge2) stable-security; urgency=high
 .
   * Security update by phpBB maintainers
   * Backport fixes for the following issues announced by upstream and
     independent researchers (Closes: #336582, #336587, #335662):
     - fixed validation of topic type when posting.
     - fixed potential to select images outside the specified path as avatars
       or smilies.
     - fixed ability to edit PM's you did not send.
     - CVE-2005-3419, CVE-2005-3420: fixed inadquate signature field input
       sanitising, which allowed for arbitrary code execution
     - CVE-2005-3310: compare imagetype on avatar uploading to match the file
       extension from uploaded file.
 .
     Additionally, the following three issues are fixed, though they are only a
     threat when running with the heavily discouraged register_globals = off
     setting:
     - CVE-2005-3415: bypass protection mechanisms that deregister global
       variables by setting both a GPC variable and a GLOBALS[] variable.
     - CVE-2005-3416: bypass security checks by setting the $_SESSION and
       $HTTP_SESSION_VARS variables to strings instead of arrays.
     - CVE-2005-3418: Multiple cross-site scripting (XSS) vulnerabilities.
Files: 
 84a0dab5af965cf6ff418c2b2383a9ee 783 web optional phpbb2_2.0.13+1-6sarge2.dsc
 e644237009e5eff92b86f21a5f6f4cbe 64580 web optional phpbb2_2.0.13+1-6sarge2.diff.gz
 f88101af29bf00db9a8fdb264e35d891 525514 web optional phpbb2_2.0.13-6sarge2_all.deb
 4cbfd2fe1e336214a3defddeff55ce65 37474 web extra phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
 f71e21b77d9f5bffa076a25d6687b4c2 2873096 web optional phpbb2-languages_2.0.13-6sarge2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

iD8DBQFDpgbUl2uISwgTVp8RAgcyAJ93wvWZCBowQ74CtZRAIOXZ1ZQw3QCgrYEu
iBIbdbFUbbhEctbUEWdfu0I=
=R/22
-----END PGP SIGNATURE-----




Reply sent to Thijs Kinkhorst <kink@squirrelmail.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Carsten Wolff <carsten@wolffcarsten.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #43 received at 336587-close@bugs.debian.org (full text, mbox):

From: Thijs Kinkhorst <kink@squirrelmail.org>
To: 336587-close@bugs.debian.org
Subject: Bug#336587: fixed in phpbb2 2.0.13+1-6sarge2
Date: Mon, 17 Apr 2006 17:41:30 -0700
Source: phpbb2
Source-Version: 2.0.13+1-6sarge2

We believe that the bug you reported is fixed in the latest version of
phpbb2, which is due to be installed in the Debian FTP archive:

phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
phpbb2-languages_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2-languages_2.0.13-6sarge2_all.deb
phpbb2_2.0.13+1-6sarge2.diff.gz
  to pool/main/p/phpbb2/phpbb2_2.0.13+1-6sarge2.diff.gz
phpbb2_2.0.13+1-6sarge2.dsc
  to pool/main/p/phpbb2/phpbb2_2.0.13+1-6sarge2.dsc
phpbb2_2.0.13-6sarge2_all.deb
  to pool/main/p/phpbb2/phpbb2_2.0.13-6sarge2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 336587@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thijs Kinkhorst <kink@squirrelmail.org> (supplier of updated phpbb2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 30 Nov 2005 11:52:53 +0100
Source: phpbb2
Binary: phpbb2-languages phpbb2-conf-mysql phpbb2
Architecture: source all
Version: 2.0.13+1-6sarge2
Distribution: stable-security
Urgency: high
Maintainer: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Changed-By: Thijs Kinkhorst <kink@squirrelmail.org>
Description: 
 phpbb2     - A fully featured and skinneable flat (non-threaded) webforum
 phpbb2-conf-mysql - Automatic configurator for phpbb2 on MySQL database
 phpbb2-languages - phpBB2 additional languages
Closes: 335662 336582 336587
Changes: 
 phpbb2 (2.0.13+1-6sarge2) stable-security; urgency=high
 .
   * Security update by phpBB maintainers
   * Backport fixes for the following issues announced by upstream and
     independent researchers (Closes: #336582, #336587, #335662):
     - fixed validation of topic type when posting.
     - fixed potential to select images outside the specified path as avatars
       or smilies.
     - fixed ability to edit PM's you did not send.
     - CVE-2005-3419, CVE-2005-3420: fixed inadquate signature field input
       sanitising, which allowed for arbitrary code execution
     - CVE-2005-3310: compare imagetype on avatar uploading to match the file
       extension from uploaded file.
 .
     Additionally, the following three issues are fixed, though they are only a
     threat when running with the heavily discouraged register_globals = off
     setting:
     - CVE-2005-3415: bypass protection mechanisms that deregister global
       variables by setting both a GPC variable and a GLOBALS[] variable.
     - CVE-2005-3416: bypass security checks by setting the $_SESSION and
       $HTTP_SESSION_VARS variables to strings instead of arrays.
     - CVE-2005-3418: Multiple cross-site scripting (XSS) vulnerabilities.
Files: 
 84a0dab5af965cf6ff418c2b2383a9ee 783 web optional phpbb2_2.0.13+1-6sarge2.dsc
 e644237009e5eff92b86f21a5f6f4cbe 64580 web optional phpbb2_2.0.13+1-6sarge2.diff.gz
 f88101af29bf00db9a8fdb264e35d891 525514 web optional phpbb2_2.0.13-6sarge2_all.deb
 4cbfd2fe1e336214a3defddeff55ce65 37474 web extra phpbb2-conf-mysql_2.0.13-6sarge2_all.deb
 f71e21b77d9f5bffa076a25d6687b4c2 2873096 web optional phpbb2-languages_2.0.13-6sarge2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)
Comment: Signed by Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

iD8DBQFDpgbUl2uISwgTVp8RAgcyAJ93wvWZCBowQ74CtZRAIOXZ1ZQw3QCgrYEu
iBIbdbFUbbhEctbUEWdfu0I=
=R/22
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 19:38:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:51:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.